> For the complete documentation index, see [llms.txt](https://anilist.gitbook.io/anilist-apiv2-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://anilist.gitbook.io/anilist-apiv2-docs/docs/reference/object/medialistoptions.md).

# MediaListOptions

A user's list options

| Field                     |                                                                                                                          Argument | Type                                                                                                                                      | Description |
| ------------------------- | --------------------------------------------------------------------------------------------------------------------------------: | ----------------------------------------------------------------------------------------------------------------------------------------- | ----------- |
| **scoreFormat**           |                     [ScoreFormat](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/enum/scoreformat/README.md) | The score format the user is using for media lists                                                                                        |             |
| **rowOrder**              |                             [String](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/string/README.md) | The default order list rows should be displayed in                                                                                        |             |
| **useLegacyLists** ⚠️     |                           [Boolean](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/boolean/README.md) | <p>⚠️ <strong>DEPRECATED</strong></p><p>No longer used</p>                                                                                |             |
| **animeList**             | [MediaListTypeOptions](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/object/medialisttypeoptions/README.md) | The user's anime list options                                                                                                             |             |
| **mangaList**             | [MediaListTypeOptions](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/object/medialisttypeoptions/README.md) | The user's manga list options                                                                                                             |             |
| **sharedTheme** ⚠️        |                                 [Json](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/json/README.md) | <p>The list theme options for both lists</p><p>⚠️ <strong>DEPRECATED</strong></p><p>No longer used</p>                                    |             |
| **sharedThemeEnabled** ⚠️ |                           [Boolean](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/boolean/README.md) | <p>If the shared theme should be used instead of the individual list themes</p><p>⚠️ <strong>DEPRECATED</strong></p><p>No longer used</p> |             |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://anilist.gitbook.io/anilist-apiv2-docs/docs/reference/object/medialistoptions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
